## i2c-driver-dkms 1oem3

=== i2c-driver/Makefile ===
KVER?= $(shell uname -r)
obj-m	+= intel-lpss.o intel-lpss-pci.o

all:	modules

modules clean:
	$(MAKE) -C /lib/modules/$(KVER)/build M=`pwd` $@

.PHONY:	all modules clean

=== debian/changelog ===
i2c-driver-dkms (1oem3) trusty; urgency=medium

  * Depend on newer intel wireless driver.

 -- Gerald Yang <gerald.yang@canonical.com>  Thu, 24 Dec 2015 17:39:14 +0800

i2c-driver-dkms (1oem2) trusty; urgency=medium

  * To depend on kernel version > 3.19.0-29, the intel wireless driver need to
    be upgraded first.

 -- Gerald Yang <gerald.yang@canonical.com>  Thu, 24 Dec 2015 16:53:17 +0800

i2c-driver-dkms (1oem1) trusty; urgency=low

  * Enable I2C driver by HWE.
    (LP: #1464634)

 -- Gerald Yang <gerald.yang@canonical.com>  Tue, 22 Dec 2015 01:32:21 -0500

=== debian/control ===
Source: i2c-driver-dkms
Section: misc
Priority: optional
Maintainer: Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), dkms, dh-modaliases
Standards-Version: 3.8.1

Package: i2c-driver-dkms
Architecture: all
Depends: dkms (>= 1.95), iwlwifi-intel3165-dkms (>= 1.4), ${misc:Depends}
Description: i2c-driver driver in DKMS format.
XB-Modaliases: ${modaliases}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=i2c-driver
NAME=i2c-driver
VERSION=1oem3

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_modaliases
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
